PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes
script.h File Reference
`#include <ptlib/pfactory.h>`
`#include <ptclib/vartype.h>`
Include dependency graph for script.h:

Go to the source code of this file.

## Classes
class | PScriptLanguage
| A wrapper around a scripting language instance. More...
struct | PScriptLanguage::ParamVector
| Individual Parameter in ParamVector. More...
struct | PScriptLanguage::Signature
| Signature of Lua function and callback. More...

## Macros
Path addition functions
#define | PDECLARE_ScriptFunctionNotifier(cls, fn) PDECLARE_NOTIFIER2(PScriptLanguage, cls, fn, PScriptLanguage::Signature &)

## Macro Definition Documentation

#define PDECLARE_ScriptFunctionNotifier | ( |  | cls,
|  |  | fn
| ) |  | PDECLARE_NOTIFIER2(PScriptLanguage, cls, fn, PScriptLanguage::Signature &)